Creates a new product.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Information about the new product

Represents the request to create or update a product.

string
required
length ≥ 1

Name of the product.

string
required
length ≥ 1

Description of the product.

string | null

Barcode of the product.

string | null

Tax code associated with the product.

double | null

Tax in percentage units, between 0 and 100.

CostPrice = BasePrice ( 1 + TaxRate / 100 ) = BasePrice (1 + VATPercentage)
VATPercentage = TaxRate / 100

E.g: TaxRate = 21 ==> VATPercentage = 0.21

double | null

Cost price of the product.

string
required
length ≥ 1

Stock Keeping Unit code uniquely identifying the product.

int32 | null

Identifier of the category to which the product belongs.

boolean
required

Indicates whether the product is a variant of another product.
If true, ProductParentId and at least ProductVariantOption1Id are required.

int32 | null

Identifier of the parent product. Required when IsVariant is true.

int32 | null

Identifier of the first variant option. Required when IsVariant is true.

int32 | null

Identifier of the second variant option. Required when IsVariant is true.

int32 | null

Identifier of the third variant option. Required when IsVariant is true.

double | null

Base price of the product before taxes.

int32 | null

Identifier of the campaign to which the product belongs.

int32 | null

Identifier of the buyer to which the product belongs.

int32 | null

Identifier of the section to which the product belongs.

productTagsId
array of int32s | null

List of identifiers of tags to add to the product.

productTagsId
productMediaImages
array of objects | null

List of media images to associate with the product.

productMediaImages
providerListId
array of int32s | null

List of identifiers of providers to add to the product.

providerListId
int32 | null

Identifier of the brand associated with the product.

int32 | null

Identifier of the product type associated with the product.

string

Extended fields to add to the product. The key is the name of the field and the value is the value of the field.

string

Extended translation fields to add to the product. The key is the name of the field and the value is the value of the field.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json